package core

import (
	"encoding/json"
	"io/ioutil"
)

type Rule struct {
	Path     string `json:"path"`
	Name     string `json:"name"`
	Main     string `json:"main"`
	Dll      string `json:"dll"`
	TypeLoad string `json:"type"`
	Arch     string `json:"arch"`
	Info     string `json:"info"`
}

func CreateRules(path string) (*[]Rule, error) {
	b, err := ioutil.ReadFile(path)
	if err != nil {
		return nil, err
	}
	var r []Rule
	err = json.Unmarshal(b, &r)
	if err != nil {
		return nil, err
	}
	return &r, nil
}
