package core

import (
	"fmt"
	"math/rand"
	"strings"
	"time"
)

func init() {
	rand.Seed(time.Now().UnixNano())
}

var letterRunes = []rune("abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ")

func RandStringRunes(n int) string {
	b := make([]rune, n)
	for i := range b {
		b[i] = letterRunes[rand.Intn(len(letterRunes))]
	}
	return string(b)
}

func RandBytes(n int) []byte {
	token := make([]byte, n)
	rand.Read(token)
	return token
}

func XorEncode(data []byte, p []byte) []byte {
	l := len(p) - 1
	l2 := len(data)
	var data2 []byte = make([]byte, l2)
	for i := 0; i < l2; i++ {
		data2[i] = data[i] ^ p[i%l]
	}
	return data2
}

func BytesOutput(b []byte) string {
	var s = ""
	for _, i := range b {
		s += fmt.Sprintf("0x%.2x,", i)
	}
	s = strings.TrimRight(s, ",")
	return s
}
